rpms/open-vm-tools-kmod/F-8 open-vm-tools-excludekernel-filterfile, NONE, 1.1 open-vm-tools-kmod.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools-kmod/F-8
In directory se02.es.rpmfusion.net:/tmp/cvs-serv24486
Modified Files:
.cvsignore sources
Added Files:
open-vm-tools-excludekernel-filterfile open-vm-tools-kmod.spec
Log Message:
import (review bug #68)
--- NEW FILE open-vm-tools-excludekernel-filterfile ---
xen$
--- NEW FILE open-vm-tools-kmod.spec ---
# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
#define buildforkernels newest
%define tname open-vm-tools
%define builddate 2008.10.10
%define buildver 123053
%define ovtmodules vmblock vmci vmhgfs vmmemctl vmsync vmxnet vmxnet3 vsock
Name: open-vm-tools-kmod
Version: 0.0.0.%{buildver}
Release: 1%{?dist}.1
Summary: VMware Tools Kernel Modules
Group: System Environment/Kernel
License: GPLv2
URL: http://open-vm-tools.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{tname}/%{tname}-%{builddate}-%{buildve...
Source11: %{tname}-excludekernel-filterfile
BuildRoot: %{_tmppath}/%{name}-%{builddate}-%{release}-root-%(%{__id_u} -n)
# VMWare only supports x86 architectures.
ExclusiveArch: i586 i686 x86_64
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires: %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }
%description
Open-vm-tools are the open source implementation of VMware Tools. They
are a set of guest operating system virtualization components that
enhance performance and user experience of VMWare virtual
machines. This package contains the kernel modules of open-vm-tools.
%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null
%setup -q -n open-vm-tools-%{builddate}-%{buildver}
for kernel_version in %{?kernel_versions} ; do
cp -ar modules/linux _kmod_build_${kernel_version%%___*}
done
%build
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
make -C ${PWD}/_kmod_build_${kernel_version%%___*}/${ovtmodule} VM_UNAME=${kernel_version%%___*} HEADER_DIR="${kernel_version##*___}/include"
done
done
%install
rm -rf $RPM_BUILD_ROOT
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
install -D -m 755 _kmod_build_${kernel_version%%___*}/${ovtmodule}/${ovtmodule}.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/${ovtmodule}.ko
done
done
# akmods:
%{?akmod_install}
%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Mon Oct 27 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-1.1
- Small fixes for kmod2 compliance all over the place
- Changed version and EVR formats
* Wed Oct 15 2008 Denis Leroy <denis(a)poolshark.org> - 0-1.2008.10.10
- First kmod draft
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/F-8/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 10 Nov 2008 20:54:17 -0000 1.1
+++ .cvsignore 10 Nov 2008 21:05:56 -0000 1.2
@@ -0,0 +1 @@
+open-vm-tools-2008.10.10-123053.tar.gz
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/F-8/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 10 Nov 2008 20:54:17 -0000 1.1
+++ sources 10 Nov 2008 21:05:56 -0000 1.2
@@ -0,0 +1 @@
+1c2ad0dea29c6e5b5b2f41fb43a97087 open-vm-tools-2008.10.10-123053.tar.gz
16 years, 4 months
rpms/open-vm-tools-kmod/F-9 open-vm-tools-excludekernel-filterfile, NONE, 1.1 open-vm-tools-kmod.spec, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools-kmod/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv24087
Added Files:
open-vm-tools-excludekernel-filterfile open-vm-tools-kmod.spec
Log Message:
import (review bug #68)
--- NEW FILE open-vm-tools-excludekernel-filterfile ---
xen$
--- NEW FILE open-vm-tools-kmod.spec ---
# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
#define buildforkernels newest
%define tname open-vm-tools
%define builddate 2008.10.10
%define buildver 123053
%define ovtmodules vmblock vmci vmhgfs vmmemctl vmsync vmxnet vmxnet3 vsock
Name: open-vm-tools-kmod
Version: 0.0.0.%{buildver}
Release: 1%{?dist}.1
Summary: VMware Tools Kernel Modules
Group: System Environment/Kernel
License: GPLv2
URL: http://open-vm-tools.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{tname}/%{tname}-%{builddate}-%{buildve...
Source11: %{tname}-excludekernel-filterfile
BuildRoot: %{_tmppath}/%{name}-%{builddate}-%{release}-root-%(%{__id_u} -n)
# VMWare only supports x86 architectures.
ExclusiveArch: i586 i686 x86_64
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires: %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }
%description
Open-vm-tools are the open source implementation of VMware Tools. They
are a set of guest operating system virtualization components that
enhance performance and user experience of VMWare virtual
machines. This package contains the kernel modules of open-vm-tools.
%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null
%setup -q -n open-vm-tools-%{builddate}-%{buildver}
for kernel_version in %{?kernel_versions} ; do
cp -ar modules/linux _kmod_build_${kernel_version%%___*}
done
%build
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
make -C ${PWD}/_kmod_build_${kernel_version%%___*}/${ovtmodule} VM_UNAME=${kernel_version%%___*} HEADER_DIR="${kernel_version##*___}/include"
done
done
%install
rm -rf $RPM_BUILD_ROOT
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
install -D -m 755 _kmod_build_${kernel_version%%___*}/${ovtmodule}/${ovtmodule}.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/${ovtmodule}.ko
done
done
# akmods:
%{?akmod_install}
%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Mon Oct 27 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-1.1
- Small fixes for kmod2 compliance all over the place
- Changed version and EVR formats
* Wed Oct 15 2008 Denis Leroy <denis(a)poolshark.org> - 0-1.2008.10.10
- First kmod draft
16 years, 4 months
rpms/open-vm-tools-kmod/F-9 .cvsignore,1.1,1.2 sources,1.1,1.2
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools-kmod/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv24031
Modified Files:
.cvsignore sources
Log Message:
import (review bug #68)
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/F-9/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 10 Nov 2008 20:54:17 -0000 1.1
+++ .cvsignore 10 Nov 2008 21:05:18 -0000 1.2
@@ -0,0 +1 @@
+open-vm-tools-2008.10.10-123053.tar.gz
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/F-9/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 10 Nov 2008 20:54:17 -0000 1.1
+++ sources 10 Nov 2008 21:05:18 -0000 1.2
@@ -0,0 +1 @@
+1c2ad0dea29c6e5b5b2f41fb43a97087 open-vm-tools-2008.10.10-123053.tar.gz
16 years, 4 months
rpms/open-vm-tools/devel open-vm-tools-123053-desktop.patch, NONE, 1.1 open-vm-tools-guestd.init, NONE, 1.1 open-vm-tools-modprobe.vmnics, NONE, 1.1 open-vm-tools-sysconfig.mouse, NONE, 1.1 open-vm-tools.spec, NONE, 1.1 vmware-toolbox.desktop, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv23648
Modified Files:
.cvsignore sources
Added Files:
open-vm-tools-123053-desktop.patch open-vm-tools-guestd.init
open-vm-tools-modprobe.vmnics open-vm-tools-sysconfig.mouse
open-vm-tools.spec vmware-toolbox.desktop
Log Message:
import (review bug #67)
open-vm-tools-123053-desktop.patch:
--- NEW FILE open-vm-tools-123053-desktop.patch ---
--- open-vm-tools-2008.10.10-123053/scripts/common/vmware-user.desktop~ 2008-10-13 09:01:55.000000000 +0200
+++ open-vm-tools-2008.10.10-123053/scripts/common/vmware-user.desktop 2008-10-21 09:36:42.000000000 +0200
@@ -4,3 +4,4 @@
Name=VMware User Agent
X-KDE-autostart-phase=1
NoDisplay=true
+Type=Application
--- NEW FILE open-vm-tools-guestd.init ---
#!/bin/bash
#
# Init file for open-vm-tools vmware-guestd daemon
#
# chkconfig: 345 80 20
# description: open-vm-tools guest daemon
#
# processname: vmware-guestd
# pidfile: /var/run/vmware-guestd.pid
# source function library
. /etc/rc.d/init.d/functions
RETVAL=0
prog="vmware-guestd"
GUESTD=/usr/sbin/vmware-guestd
PID_FILE=/var/run/vmware-guestd.pid
LOCK_FILE=/var/lock/subsys/vmware-guestd
OPTIONS="--background $PID_FILE"
DND_DIR="/tmp/VMwareDnD"
setup_modules()
{
[ ! -d "$DND_DIR" ] && mkdir -m 1777 $DND_DIR
modprobe vmsync
modprobe vmci
modprobe vsock
modprobe vmmemctl
modprobe vmhgfs
modprobe vmblock
sleep 1
mount -t vmblock none /proc/fs/vmblock/mountPoint
}
unmount_stuff()
{
umount /proc/fs/vmblock/mountPoint
sleep 1
rmmod vmblock
}
start()
{
echo -n $"Starting $prog: "
setup_modules
$GUESTD $OPTIONS && success || failure
RETVAL=$?
[ "$RETVAL" = 0 ] && touch $LOCK_FILE
echo
}
stop()
{
echo -n $"Stopping $prog: "
killall vmware-user
unmount_stuff
killproc $GUESTD
RETVAL=$?
[ "$RETVAL" = 0 ] && rm -f $LOCK_FILE
[ "$RETVAL" = 0 ] && rm -f $PID_FILE
echo
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
condrestart)
if [ -f "$LOCK_FILE" ]; then
stop
start
fi
;;
status)
status $GUESTD
RETVAL=$?
;;
*)
echo $"Usage: $0 {start|stop|restart|condrestart|status}"
RETVAL=1
;;
esac
exit $RETVAL
--- NEW FILE open-vm-tools-modprobe.vmnics ---
install pcnet32 /sbin/modprobe -q --ignore-install vmxnet; /sbin/modprobe -q --ignore-install pcnet32 $CMDLINE_OPTS; /bin/true;
--- NEW FILE open-vm-tools-sysconfig.mouse ---
MOUSETYPE=imps2
XMOUSETYPE=IMPS/2
--- NEW FILE open-vm-tools.spec ---
%define builddate 2008.10.10
%define buildver 123053
Name: open-vm-tools
Version: 0.0.0.%{buildver}
Release: 9%{?dist}
Summary: VMware Guest OS Tools
Group: Applications/System
License: LGPLv2
URL: http://open-vm-tools.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{builddate}-%{buildver}...
Source1: %{name}-guestd.init
Source2: %{name}-sysconfig.mouse
Source3: vmware-toolbox.desktop
Source4: %{name}-modprobe.vmnics
Patch0: %{name}-123053-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 x86_64
BuildRequires: gtk2-devel
BuildRequires: libXtst-devel
BuildRequires: libdnet-devel
BuildRequires: procps
BuildRequires: libdnet-devel
BuildRequires: libicu-devel
BuildRequires: desktop-file-utils
Requires: open-vm-tools-kmod >= %{version}
Obsoletes: open-vm-tools-kmod < %{version}
Provides: open-vm-tools-kmod-common = %{version}
%description
Open-vm-tools are the open source implementation of VMware Tools. They
are a set of guest operating system virtualization components that
enhance performance and user experience of VMWare virtual
machines. This package contains the user-space programs and libraries
of open-vm-tools.
%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Open-vm-tools are the open source implementation of VMware Tools. They
are a set of guest operating system virtualization components that
enhance performance and user experience of VMWare virtual
machines. This package contains the header files and symlinks to
libraries.
%prep
%setup -q -n open-vm-tools-%{builddate}-%{buildver}
%patch0 -p1 -b .desktop
# Fix some permissions and formats
chmod -x NEWS README ChangeLog AUTHORS COPYING
sed -i 's/\r//' README
%build
%configure \
--disable-static \
--disable-dependency-tracking \
--disable-unity \
--without-kernel-modules \
--without-root-privileges
make %{?_smp_mflags}
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Install vmware-guestd init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/vmware-guestd
# GPM vmmouse support
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mouse
# Move mount.vmhgfs to correct location in /sbin
mkdir -p $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT%{_sbindir}/mount.* $RPM_BUILD_ROOT/sbin
# Install VMCI sockets header file
mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -m 0644 modules/linux/vsock/linux/vmci_sockets.h $RPM_BUILD_ROOT%{_includedir}
# Move vmware-user desktop into autostart directory
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
mv $RPM_BUILD_ROOT%{_datadir}/applications/vmware-user.desktop $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/
# Install desktop file and icon for toolbox
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 toolbox/bigIcon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/vmware-toolbox.xpm
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE3}
# Setup module-init-tools file for vmxnet
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/vmnics
%clean
rm -rf $RPM_BUILD_ROOT
%post
# Setup guestd on initial install
/sbin/ldconfig
[ $1 -lt 2 ] && /sbin/chkconfig vmware-guestd on ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
/sbin/ldconfig
%preun
# Remove on uninstall
if [ "$1" = 0 ]
then
/sbin/service vmware-guestd stop > /dev/null 2>&1 || :
/sbin/chkconfig --del vmware-guestd ||:
fi
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/vmware*
%{_sbindir}/vmware*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/pixmaps/*.xpm
%{_libdir}/*.so.*
%{_sysconfdir}/init.d/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/vmware-guestd*
%dir %{_sysconfdir}/vmware-tools
%{_sysconfdir}/vmware-tools/poweroff-vm-default
%{_sysconfdir}/vmware-tools/poweron-vm-default
%{_sysconfdir}/vmware-tools/resume-vm-default
%{_sysconfdir}/vmware-tools/suspend-vm-default
%{_sysconfdir}/vmware-tools/vm-support
%config(noreplace) %{_sysconfdir}/vmware-tools/tools.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mouse
%config(noreplace) %{_sysconfdir}/modprobe.d/*
%attr(4755,root,root) /sbin/mount.vmhgfs
%attr(4755,root,root) %{_bindir}/vmware-user-suid-wrapper
%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.so
%changelog
* Mon Nov 10 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-9
- Some more cleanups
* Fri Oct 31 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-8
- Added toolbox icon
* Tue Oct 28 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-7
- Only export vmci_sockets.h file
* Mon Oct 27 2008 Orcan Ogetbil <orcan [AT] yahoo [DOT] com> 0.0.0.123053-6
- Bugfix: Doesn't build for x86_64.
- Added a devel package containing the header and .so files.
- The shell scripts in %%{_sysconfdir}/vmware-tools/ are now marked non-%%config.
- Minor SPEC file improvements.
* Mon Oct 27 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-5
- Fixed desktop-file-utils reqs
* Sun Oct 26 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-4
- Move drag'n'drop directory management to init script
- Added icon to toolbox desktop entry
- Some rpmlint cleanups
* Tue Oct 21 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-2
- Changed versioning
- Added patches and extra config files as sources
* Wed Oct 15 2008 Denis Leroy <denis(a)poolshark.org> - 0-1.2008.10.10
- First draft, based on dkms-based spec
--- NEW FILE vmware-toolbox.desktop ---
[Desktop Entry]
Encoding=UTF-8
Name=VMware Toolbox
Comment=VMware Guest Toolbox
Exec=vmware-toolbox
Terminal=false
Type=Application
Categories=Application;System
StartupNotify=false
Icon=vmware-toolbox
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 10 Nov 2008 20:54:29 -0000 1.1
+++ .cvsignore 10 Nov 2008 20:59:46 -0000 1.2
@@ -0,0 +1 @@
+open-vm-tools-2008.10.10-123053.tar.gz
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 10 Nov 2008 20:54:29 -0000 1.1
+++ sources 10 Nov 2008 20:59:46 -0000 1.2
@@ -0,0 +1 @@
+1c2ad0dea29c6e5b5b2f41fb43a97087 open-vm-tools-2008.10.10-123053.tar.gz
16 years, 4 months
rpms/open-vm-tools-kmod/devel open-vm-tools-excludekernel-filterfile, NONE, 1.1 open-vm-tools-kmod.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools-kmod/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv23502
Modified Files:
.cvsignore sources
Added Files:
open-vm-tools-excludekernel-filterfile open-vm-tools-kmod.spec
Log Message:
import (review bug #68)
--- NEW FILE open-vm-tools-excludekernel-filterfile ---
xen$
--- NEW FILE open-vm-tools-kmod.spec ---
# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
#define buildforkernels newest
%define tname open-vm-tools
%define builddate 2008.10.10
%define buildver 123053
%define ovtmodules vmblock vmci vmhgfs vmmemctl vmsync vmxnet vmxnet3 vsock
Name: open-vm-tools-kmod
Version: 0.0.0.%{buildver}
Release: 1%{?dist}.1
Summary: VMware Tools Kernel Modules
Group: System Environment/Kernel
License: GPLv2
URL: http://open-vm-tools.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{tname}/%{tname}-%{builddate}-%{buildve...
Source11: %{tname}-excludekernel-filterfile
BuildRoot: %{_tmppath}/%{name}-%{builddate}-%{release}-root-%(%{__id_u} -n)
# VMWare only supports x86 architectures.
ExclusiveArch: i586 i686 x86_64
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires: %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }
%description
Open-vm-tools are the open source implementation of VMware Tools. They
are a set of guest operating system virtualization components that
enhance performance and user experience of VMWare virtual
machines. This package contains the kernel modules of open-vm-tools.
%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null
%setup -q -n open-vm-tools-%{builddate}-%{buildver}
for kernel_version in %{?kernel_versions} ; do
cp -ar modules/linux _kmod_build_${kernel_version%%___*}
done
%build
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
make -C ${PWD}/_kmod_build_${kernel_version%%___*}/${ovtmodule} VM_UNAME=${kernel_version%%___*} HEADER_DIR="${kernel_version##*___}/include"
done
done
%install
rm -rf $RPM_BUILD_ROOT
for kernel_version in %{?kernel_versions} ; do
for ovtmodule in %{ovtmodules}; do
install -D -m 755 _kmod_build_${kernel_version%%___*}/${ovtmodule}/${ovtmodule}.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/${ovtmodule}.ko
done
done
# akmods:
%{?akmod_install}
%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Mon Oct 27 2008 Denis Leroy <denis(a)poolshark.org> - 0.0.0.123053-1.1
- Small fixes for kmod2 compliance all over the place
- Changed version and EVR formats
* Wed Oct 15 2008 Denis Leroy <denis(a)poolshark.org> - 0-1.2008.10.10
- First kmod draft
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 10 Nov 2008 20:54:17 -0000 1.1
+++ .cvsignore 10 Nov 2008 20:58:44 -0000 1.2
@@ -0,0 +1 @@
+open-vm-tools-2008.10.10-123053.tar.gz
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/open-vm-tools-kmod/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 10 Nov 2008 20:54:17 -0000 1.1
+++ sources 10 Nov 2008 20:58:44 -0000 1.2
@@ -0,0 +1 @@
+1c2ad0dea29c6e5b5b2f41fb43a97087 open-vm-tools-2008.10.10-123053.tar.gz
16 years, 4 months
rpms/open-vm-tools/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/tmpcvsx23010/rpms/open-vm-tools/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module open-vm-tools
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: open-vm-tools
# $Id: Makefile,v 1.1 2008/11/10 20:54:29 thl Exp $
NAME := open-vm-tools
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
16 years, 4 months
rpms/open-vm-tools Makefile, NONE, 1.1 import.log, NONE, 1.1 pkg.acl, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/tmpcvsx23010/rpms/open-vm-tools
Added Files:
Makefile import.log pkg.acl
Log Message:
Setup of module open-vm-tools
--- NEW FILE Makefile ---
# Top level Makefile for module open-vm-tools
all : CVS/Root common-update
@cvs update
common-update : common
@cd common && cvs update
common : CVS/Root
@cvs checkout common
CVS/Root :
@echo "ERROR: This does not look like a CVS checkout" && exit 1
clean :
@find . -type f -name *~ -exec rm -fv {} \;
--- NEW FILE import.log ---
--- NEW FILE pkg.acl ---
16 years, 4 months
rpms/open-vm-tools/devel - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/tmpcvsx23010/rpms/open-vm-tools/devel
Log Message:
Directory /cvs/nonfree/rpms/open-vm-tools/devel added to the repository
16 years, 4 months
rpms/open-vm-tools - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/tmpcvsx23010/rpms/open-vm-tools
Log Message:
Directory /cvs/nonfree/rpms/open-vm-tools added to the repository
16 years, 4 months
rpms/open-vm-tools-kmod/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/open-vm-tools-kmod/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/tmpcvsG22828/rpms/open-vm-tools-kmod/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module open-vm-tools-kmod
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: open-vm-tools-kmod
# $Id: Makefile,v 1.1 2008/11/10 20:54:17 thl Exp $
NAME := open-vm-tools-kmod
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
16 years, 4 months